| Classes - Annotated - Tree - Functions - Home - Structure

# QLocalFs Class Reference

Implementation of a QNetworkProtocol which works on the local filesystem. More...

`#include <qlocalfs.h>`

Inherits QNetworkProtocol.

List of all member functions.

## Public Members

- QLocalFs ()

## Detailed Description

Implementation of a QNetworkProtocol which works on the local filesystem.

This class is a subclass of QNetworkProtocol and works on the local filesystem. If you want to write a network transparent application using QNetworkProtocol, QUrlOperator, etc. this class is used for accessing the local filesystem by QUrlOperator.

See also QUrlOperator and QNetworkProtocol.

## Member Function Documentation

### QLocalFs::QLocalFs ()

Constructor.

### void QLocalFs::operationGet ( QNetworkOperation * op ) `[virtual protected]`

Reimplemented for internal reasons; the API is not affected.

### void QLocalFs::operationListChildren ( QNetworkOperation * op ) `[virtual protected]`

Reimplemented for internal reasons; the API is not affected.

### void QLocalFs::operationMkDir ( QNetworkOperation * op ) `[virtual protected]`

Reimplemented for internal reasons; the API is not affected.

### void QLocalFs::operationPut ( QNetworkOperation * op ) `[virtual protected]`

Reimplemented for internal reasons; the API is not affected.

### void QLocalFs::operationRemove ( QNetworkOperation * op ) `[virtual protected]`

Reimplemented for internal reasons; the API is not affected.

### void QLocalFs::operationRename ( QNetworkOperation * op ) `[virtual protected]`

Reimplemented for internal reasons; the API is not affected.

### int QLocalFs::supportedOperations () const `[virtual]`

Reimplemented for internal reasons; the API is not affected.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.